Bug 614950 - Feature Request: List all installed packages with chronological sorting
Summary: Feature Request: List all installed packages with chronological sorting
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-15 15:53 UTC by Need Real Name
Modified: 2011-06-29 13:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 13:29:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2010-07-15 15:53:47 UTC
Description of problem:

A feature request, actually. Presently, the Gnome Package Kit fronted does not seem to have the ability to list all installed packages in chronological order; the equivalent command-line option would be rpm -qa --last | less.

This feature would make it much easier to try out and then undo a particular installation of a set of packages.


Version-Release number of selected component (if applicable):
2.30.2

How reproducible:
Always.

Steps to Reproduce:
1. Option to list all installed packages in chronological order does not exist.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Richard Hughes 2010-07-16 18:48:44 UTC
Doesn't gpk-log do this in a better way?

Comment 2 Need Real Name 2010-07-16 23:47:15 UTC
There is a built-in menu command (File>Software Log) that displays a chronological record of package operations, but it doesn't have checkboxes for easy removal of recently added packages.

What this means is that if I install a package that requires the installation of ten other packages, and then I later decide I want to remove them all, I have to look them up one by one in the main window and deselect them. That can get time consuming, especially if instead of ten additional packages, I need twenty. Testing a program and then removing it can become a hassle.

It would be great if I could just display a reverse-chronological list of my installed packages in the main package window, where I see the checkboxes, so that I could easily deselect all the last eleven packages and uninstall them in one move.

Is that a possible additional feature?

Comment 3 Bug Zapper 2011-06-01 13:49:20 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-29 13:29:02 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.